Le 13/01/2020 à 14:58, Cerdic a écrit :
> quand tu changes l’intervalle de compatibilité comme ça, en supprimant la 
> compat sur une version majeure il faut brancher et incrémenter la version de 
> ton plugin d’une version majeure également.

Mais du coup moi ça me fait poser une question peut-être naïve : si la modif 
des compats à SPIP est juste pour la forme et ne s'accompagne d'aucun ou à peu 
près aucun gros changement particulier : pourquoi le faire ?

Car du coup on se retrouve effectivement à avoir créé une nouvelle version 
*majeure* du plugin pour… rien. Alors que le chiffre X ça DOIT représenter 
quelque chose, et pour tous les utilisateurs, ça représente effectivement 
quelque chose ! Faut penser à leur réaction "Ah ce plugin est passé de 3 à 4, 
ya du changement !" Alors que non, rien, que dalle.

Si vraiment on veut ajouter une fonctionnalité qui nécessite impérativement une 
fonction qui n'est présente qu'à partir de telle version de SPIP, évidemment on 
peut/doit changer la compat, et du coup tout doit bouger. Mais si c'est juste 
pour faire du nettoyage, sans ajout pour les gens, ça peut peut-être attendre 
d'avoir besoin de faire des vrais ajouts qui justifient le up de X du plugin, 
et qui du coup est compréhensible pour les utilisateurs.

-- 
RastaPopoulos

_______________________________________________
liste: https://listes.rezo.net/mailman/listinfo/spip-dev
doc: https://www.spip.net/
dev: https://core.spip.net/
irc://irc.freenode.net/spip

Répondre à